Public tests moved to centos-stream tests repositories

This commit is contained in:
František Hrdina 2025-10-21 12:24:22 +02:00
commit 86af8b9d5e
57 changed files with 1 additions and 2915 deletions

View file

@ -1 +0,0 @@
1

View file

@ -1,46 +0,0 @@
GPL Cooperation Commitment
Version 1.0
Before filing or continuing to prosecute any legal proceeding or claim
(other than a Defensive Action) arising from termination of a Covered
License, we commit to extend to the person or entity ('you') accused
of violating the Covered License the following provisions regarding
cure and reinstatement, taken from GPL version 3. As used here, the
term 'this License' refers to the specific Covered License being
enforced.
However, if you cease all violation of this License, then your
license from a particular copyright holder is reinstated (a)
provisionally, unless and until the copyright holder explicitly
and finally terminates your license, and (b) permanently, if the
copyright holder fails to notify you of the violation by some
reasonable means prior to 60 days after the cessation.
Moreover, your license from a particular copyright holder is
reinstated permanently if the copyright holder notifies you of the
violation by some reasonable means, this is the first time you
have received notice of violation of this License (for any work)
from that copyright holder, and you cure the violation prior to 30
days after your receipt of the notice.
We intend this Commitment to be irrevocable, and binding and
enforceable against us and assignees of or successors to our
copyrights.
Definitions
'Covered License' means the GNU General Public License, version 2
(GPLv2), the GNU Lesser General Public License, version 2.1
(LGPLv2.1), or the GNU Library General Public License, version 2
(LGPLv2), all as published by the Free Software Foundation.
'Defensive Action' means a legal proceeding or claim that We bring
against you in response to a prior proceeding or claim initiated by
you or your affiliate.
'We' means each contributor to this repository as of the date of
inclusion of this file, including subsidiaries of a corporate
contributor.
This work is available under a Creative Commons Attribution-ShareAlike
4.0 International license (https://creativecommons.org/licenses/by-sa/4.0/).

339
LICENSE
View file

@ -1,339 +0,0 @@
GNU GENERAL PUBLIC LICENSE
Version 2, June 1991
Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.
Preamble
The licenses for most software are designed to take away your
freedom to share and change it. By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users. This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it. (Some other Free Software Foundation software is covered by
the GNU Lesser General Public License instead.) You can apply it to
your programs, too.
When we speak of free software, we are referring to freedom, not
price. Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.
To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.
For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have. You must make sure that they, too, receive or can get the
source code. And you must show them these terms so they know their
rights.
We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.
Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software. If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.
Finally, any free program is threatened constantly by software
patents. We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary. To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.
The precise terms and conditions for copying, distribution and
modification follow.
GNU GENERAL PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License. The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language. (Hereinafter, translation is included without limitation in
the term "modification".) Each licensee is addressed as "you".
Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope. The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.
1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.
You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.
2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:
a) You must cause the modified files to carry prominent notices
stating that you changed the files and the date of any change.
b) You must cause any work that you distribute or publish, that in
whole or in part contains or is derived from the Program or any
part thereof, to be licensed as a whole at no charge to all third
parties under the terms of this License.
c) If the modified program normally reads commands interactively
when run, you must cause it, when started running for such
interactive use in the most ordinary way, to print or display an
announcement including an appropriate copyright notice and a
notice that there is no warranty (or else, saying that you provide
a warranty) and that users may redistribute the program under
these conditions, and telling the user how to view a copy of this
License. (Exception: if the Program itself is interactive but
does not normally print such an announcement, your work based on
the Program is not required to print an announcement.)
These requirements apply to the modified work as a whole. If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works. But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.
Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.
In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.
3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:
a) Accompany it with the complete corresponding machine-readable
source code, which must be distributed under the terms of Sections
1 and 2 above on a medium customarily used for software interchange; or,
b) Accompany it with a written offer, valid for at least three
years, to give any third party, for a charge no more than your
cost of physically performing source distribution, a complete
machine-readable copy of the corresponding source code, to be
distributed under the terms of Sections 1 and 2 above on a medium
customarily used for software interchange; or,
c) Accompany it with the information you received as to the offer
to distribute corresponding source code. (This alternative is
allowed only for noncommercial distribution and only if you
received the program in object code or executable form with such
an offer, in accord with Subsection b above.)
The source code for a work means the preferred form of the work for
making modifications to it. For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable. However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.
If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.
4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License. Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.
5. You are not required to accept this License, since you have not
signed it. However, nothing else grants you permission to modify or
distribute the Program or its derivative works. These actions are
prohibited by law if you do not accept this License. Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.
6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions. You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.
7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License. If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all. For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.
If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.
It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices. Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.
This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.
8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded. In such case, this License incorporates
the limitation as if written in the body of this License.
9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time. Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.
Each version is given a distinguishing version number. If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation. If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.
10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission. For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this. Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.
NO WARRANTY
11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.
12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
END OF TERMS AND CONDITIONS
How to Apply These Terms to Your New Programs
If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.
To do so, attach the following notices to the program. It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.
<one line to give the program's name and a brief idea of what it does.>
Copyright (C) <year> <name of author>
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
Also add information on how to contact you by electronic and paper mail.
If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:
Gnomovision version 69, Copyright (C) year name of author
Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
This is free software, and you are welcome to redistribute it
under certain conditions; type `show c' for details.
The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License. Of course, the commands you use may
be called something other than `show w' and `show c'; they could even be
mouse-clicks or menu items--whatever suits your program.
You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the program, if
necessary. Here is a sample; alter the names:
Yoyodyne, Inc., hereby disclaims all copyright interest in the program
`Gnomovision' (which makes passes at compilers) written by James Hacker.
<signature of Ty Coon>, 1 April 1989
Ty Coon, President of Vice
This General Public License does not permit incorporating your program into
proprietary programs. If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library. If this is what you want to do, use the GNU Lesser General
Public License instead of this License.

View file

@ -1,27 +0,0 @@
summary: nmap-performance-test
description: |
Bug summary: nmap much slower after bz1596834 got fixed in libpcap [rhel8]
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=2166178
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2166178
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2166177
tag:
- Tier2
tier: '2'
adjust:
- enabled: false
when: distro < rhel-7
continue: false
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
duration: 5m
extra-nitrate: TC#0615071
extra-summary: /CoreOS/nmap/Performance/bz2166178-nmap-much-slower-after-bz1596834-got-fixed-in
extra-task: /CoreOS/nmap/Performance/bz2166178-nmap-much-slower-after-bz1596834-got-fixed-in
id: 5795a22e-231e-4f2b-90a0-073bffbd70b5

View file

@ -1,68 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Performance/bz2166178-nmap-much-slower-after-bz1596834-got-fixed-in
# Description: After fix of bz1596834 is nmap slower. Testing if the speed is better after fixing it.
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2023 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
THRESHOLD="1.5"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
rlRun "(time nmap -n -r -p 1-65535 127.0.0.1 >/dev/null) &> time.log" 0 "Running scan"
real_time=$(grep "real" time.log)
m_regex='^.*([[:digit:]]+)m.*$'
s_regex='^.*m([[:digit:]]+.[[:digit:]]+)s.*$'
[[ $real_time =~ $m_regex ]]
mins=$(echo ${BASH_REMATCH[1]})
[[ $real_time =~ $s_regex ]]
secs=${BASH_REMATCH[1]}
rlAssertLesser "time of scan should be less than 1 min" $mins 1 && (
if [ $(bc <<< "$secs < $THRESHOLD") -eq 1 ]; then
rlPass "Time of scan is lesser than $THRESHOLD secs"
else
rlFail "Time of scan is greater then $THRESHOLD secs"
fi
)
log=$(cat time.log)
rlLog "Time of scan: $log"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,3 +1 @@
# nmap
Repository for nmap CI tests
Public tests have been moved to: https://gitlab.com/redhat/centos-stream/tests/

View file

@ -1,23 +0,0 @@
summary: Test for BZ#1937754 (RHEL 9 Make /usr/bin/nc a symlink using)
description: |
Bug summary: RHEL 9: Make /usr/bin/nc a symlink using alternatives(1) to allow switching to OpenBSD nc(1)
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1937754
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
duration: 5m
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1937754
adjust:
- enabled: false
when: distro < rhel-9
continue: false
extra-nitrate: TC#0610007
extra-summary: /CoreOS/nmap/Regression/RHEL-9-Make-usr-bin-nc-a-symlink-using
extra-task: /CoreOS/nmap/Regression/RHEL-9-Make-usr-bin-nc-a-symlink-using
id: b992ea62-dbf6-4d66-9070-20cc07c422c9

View file

@ -1,51 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/RHEL-9-Make-usr-bin-nc-a-symlink-using
# Description: Test for BZ#1937754 (RHEL 9 Make /usr/bin/nc a symlink using)
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2021 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlPhaseEnd
rlPhaseStartTest
rlRun "ls -ls `which nc` | grep /etc/alternatives" 0 "Checking symlink with which"
if rlIsRHELLike '>=9' || rlIsFedora '<42'; then
nc="ncat"
else
nc="netcat"
fi
rlRun "alternatives --list | grep '/usr/bin/$nc'" 0 "Checking symlink from alternatives list"
rlRun "alternatives --display nc" 0 "Checking symlink using alternatives display"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,32 +0,0 @@
summary: Test for BZ#1000770 (ncat displays debug message during normal use)
description: |
Bug summary: ncat displays debug message during normal use
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1000770
Tests whether ncat (from the package nmap) displays one extra line containing DEBUG output while starting.
author: Martin Zember <mzember@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nc
- squid
- nmap
duration: 5m
enabled: true
tag:
- Tier1
tier: '1'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1000770
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1134412
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1663898
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0379345
extra-summary: /CoreOS/nmap/Regression/bz1000770-ncat-displays-debug-message-during-normal-use
extra-task: /CoreOS/nmap/Regression/bz1000770-ncat-displays-debug-message-during-normal-use
id: 2ca9a3e4-db5c-4370-ae4b-bd94e8567b6d

View file

@ -1,102 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz1000770-ncat-displays-debug-message-during-normal-use
# Description: Test for BZ#1000770 (ncat displays debug message during normal use)
# Author: Martin Zember <mzember@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2014 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
TEST_DIR=`pwd`
fake_server() {
# set up target server (a fake HTTP server)
PORT="$1"
# launch a listening target server in the background
rlRun "echo SERVER_HELLO | /usr/bin/ncat --send-only -l $PORT &" 0 "Executing a process listening on port $PORT"
sleep 3 # to be sure the process has started and listening
}
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
# set up squid proxy
CONF=/etc/squid/squid.conf
rlFileBackup $CONF
rlRun "sed -i 's/^http_access deny !Safe_por/# &/' $CONF" 0 "Configuring squid: Allowing access from certain unsafe ports"
rlRun "sed -i 's/^http_access deny CONNECT !SSL_ports/# &/' $CONF" 0 "Configuring squid: Allowing CONNECT to non-SSL ports"
rlRun "sed -i 's/^http_access deny all/http_access allow all/' $CONF" 0 "Configuring squid: Allowing all other access"
rlServiceStart squid
rlPhaseEnd
rlPhaseStartTest "TEST FOR DEBUG INFO IN VERBOSE MODE"
# launch a listening target server
PORT=8012
fake_server $PORT
SERVER_PID=$!
# version nmap-5.51-4.el6 always returns 0 when successful
# version nmap-6.40-4.el7 sometimes returns 1 and in the verbose mode, it says: Connection reset by peer. It processes the input and output though.
rlRun "/usr/bin/ncat --recv-only -vvv --proxy-type http --proxy localhost:3128 localhost $PORT >log 2>&1"
rlAssertGrep "NCAT DEBUG: Proxy returned status code" log
sleep 1
cat log
# kill the server forcefully
ps -p $SERVER_PID &>/dev/null && rlRun "kill -9 $SERVER_PID" 0,1 "Killing potentially remaining listening servers"
rlPhaseEnd
rlPhaseStartTest "TEST FOR MISSING DEBUG INFO WHEN NOT IN VERBOSE MODE"
# launch a listening target server in the background, another one
PORT=8013
fake_server $PORT
SERVER_PID="$!"
# version nmap-5.51-4.el6 always returns 0 when successful
# version nmap-6.40-4.el7 sometimes returns 1 and in the verbose mode, it says: Connection reset by peer. It processes the input and output though.
rlRun "/usr/bin/ncat --recv-only --proxy-type http --proxy localhost:3128 localhost $PORT >log 2>&1"
rlAssertNotGrep "NCAT DEBUG: Proxy returned status code" log
sleep 1
cat log
# kill the server forcefully
ps -p $SERVER_PID &>/dev/null && rlRun "kill -9 $SERVER_PID" 0,1 "Killing potentially remaining listening servers"
rlPhaseEnd
rlPhaseStartCleanup
rlFileRestore
rlServiceRestore squid
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,29 +0,0 @@
summary: Test for BZ#1146578 ([RFE] Allow nanosecond precision time stamps with)
description: |
Bug summary: [RFE] Allow nanosecond precision time stamps with Wireshark
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1146578
author: Martin Zember <mzember@redhat.com>
component:
- wireshark
test: ./runtest.sh
framework: beakerlib
recommend:
- wireshark
duration: 5m
enabled: true
tag:
- Tier3
tier: '3'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1146578
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1213339
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0457312
extra-summary:
/CoreOS/wireshark/Regression/bz1146578-RFE-Allow-nanosecond-precision-time-stamps-with
extra-task:
/CoreOS/wireshark/Regression/bz1146578-RFE-Allow-nanosecond-precision-time-stamps-with
id: a36c75e9-26c0-4ca7-952c-002e838e3e02

View file

@ -1,53 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/wireshark/Regression/bz1146578-RFE-Allow-nanosecond-precision-time-stamps-with
# Description: Test for BZ#1146578 ([RFE] Allow nanosecond precision time stamps with)
# Author: Martin Zember <mzember@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2015 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="wireshark"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
rlRun "ping www.redhat.com -q -c 10 &"
rlRun "tshark -c 10 | tee log"
rlRun "sed -i 's/^[ ]*[0-9]*[ ]*//' log" 0-255 "Remove potential trailing spaces and and/or packet numbers"
cat log
rlRun "grep '^[0-9][0-9]*\.[0-9]\{9\}' log | grep -v '^[0-9][0-9]*\.[0-9]\{6\}000'" 0 "Packets have nanosecond precision but not only 000 as the last numbers"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,26 +0,0 @@
summary: Test for BZ#1192143 (nc(1) performs IPv6 connect but doesn't try IPv4)
description: |
Bug summary: nc(1) performs IPv6 connect but doesn't try IPv4 as well
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1192143
author: Jaroslav Aster <jaster@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
duration: 15m
enabled: true
tag:
- Tier1
tier: '1'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1192143
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0496593
extra-summary: /CoreOS/nmap/Regression/bz1192143-nc-1-performs-IPv6-connect-but-doesn-t-try-IPv4
extra-task: /CoreOS/nmap/Regression/bz1192143-nc-1-performs-IPv6-connect-but-doesn-t-try-IPv4
id: d7c8ffb2-ab21-4b45-bd2b-07b04fc75047

View file

@ -1,96 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz1192143-nc-1-performs-IPv6-connect-but-doesn-t-try-IPv4
# Description: Test for BZ#1192143 (nc(1) performs IPv6 connect but doesn't try IPv4)
# Author: Jaroslav Aster <jaster@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2015 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
TMP_DIR="$(mktemp -d)"
NCAT_SERVER_OUTPUT="ncat-server-output.txt"
NCAT_CLIENT_OUTPUT="ncat-client-output.txt"
IPv4_LOCALHOST_IP="127.0.0.1"
TEST_PORT="22345"
HOSTS_FILE="/etc/hosts"
IPV6_SAVED_STATE="$(sysctl -n net.ipv6.conf.all.disable_ipv6)"
create_hosts_file()
{
rlFileBackup "$HOSTS_FILE"
cat << EOF > "$HOSTS_FILE"
127.0.0.1 localhost localhost.localdomain localhost4 localhost4.localdomain4
::1 localhost localhost.localdomain localhost6 localhost6.localdomain6
EOF
}
restore_hosts_file()
{
rlFileRestore
}
enable_ipv6()
{
rlRun "sysctl -n net.ipv6.conf.all.disable_ipv6=0" 0 "Enabling ipv6."
}
restore_ipv6()
{
rlRun "sysctl -n net.ipv6.conf.all.disable_ipv6=${IPV6_SAVED_STATE}" 0 "Restoring ipv6."
}
rlJournalStart
rlPhaseStartSetup
rlAssertRpm "$PACKAGE"
rlRun "pushd ${TMP_DIR}" 0 "Entering to tmp dir."
create_hosts_file
enable_ipv6
rlPhaseEnd
rlPhaseStartTest
rlRun "ip -6 a show dev lo | grep '::1/128'"
rlRun "ip -4 a show dev lo | grep '127.0.0.1/8'"
ncat --recv-only -l "$IPv4_LOCALHOST_IP" "$TEST_PORT" &> "$NCAT_SERVER_OUTPUT" &
ncat_pid="$!"
rlRun "echo 'Test Message' | ncat --send-only localhost ${TEST_PORT} &> ${NCAT_CLIENT_OUTPUT}" 0 "Running ncat client, sending 'Test Message'."
kill "$ncat_pid"
rlRun "grep 'Ncat: Connection refused.' ${NCAT_CLIENT_OUTPUT}" 1 "Searching there is no 'Connection refused' message in ncat client output."
rlRun "grep 'Test Message' ${NCAT_SERVER_OUTPUT}" 0 "Searching there is 'Test Message' in ncat server output."
rlRun "cat ${NCAT_CLIENT_OUTPUT}" 0 "Printing ncat client output."
rlRun "cat ${NCAT_SERVER_OUTPUT}" 0 "Printing ncat server output."
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd" 0 "Leaving tmp dir."
rlRun "rm -r ${TMP_DIR}" 0 "Removing tmp files and dirs."
restore_hosts_file
restore_ipv6
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,26 +0,0 @@
summary: Test for BZ#1284866 (nmap is not able to resolve hostname.)
description: |
Bug summary: nmap is not able to resolve hostname.
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1284866
author: Jaroslav Aster <jaster@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- bind
duration: 30m
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1284866
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1614196
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1390326
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0538212
extra-summary: /CoreOS/nmap/Regression/bz1284866-nmap-is-not-able-to-resolve-hostname
extra-task: /CoreOS/nmap/Regression/bz1284866-nmap-is-not-able-to-resolve-hostname
id: 5c7054af-ec31-4f5e-b37c-1e0669c9646b

View file

@ -1,153 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz1284866-nmap-is-not-able-to-resolve-hostname
# Description: Test for BZ#1284866 (nmap is not able to resolve hostname.)
# Author: Jaroslav Aster <jaster@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2016 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
NAMED_CONF="/etc/named.conf"
RESOLV_CONF="/etc/resolv.conf"
DEFAULT_IFACE="$(ip route show | grep 'default' | head -n 1 | sed 's/^.*dev \([^ ]\+\) .*/\1/')"
TEST_IP="192.168.23.84"
TEST_MASK="24"
TEST_DOMAIN="www.example.com"
TEST_ZONE_CONF="$(mktemp --tmpdir='/var/named')"
NMAP_OUTPUT_FILE="$(mktemp)"
backup_files()
{
for _file in "$NAMED_CONF" "$RESOLV_CONF"; do
if [ -f "$_file" ]; then
rlFileBackup "$_file"
fi
done
}
configure_named()
{
cat << EOF >> "$NAMED_CONF"
zone "23.168.192.in-addr.arpa" IN {
type master;
file "${TEST_ZONE_CONF}";
};
EOF
cat << EOF > "$TEST_ZONE_CONF"
\$TTL 2d ; 172800 seconds
\$ORIGIN 23.168.192.IN-ADDR.ARPA.
@ IN SOA ns1.example.com. hostmaster.example.com. (
2003080800 ; serial number
3h ; refresh
15m ; update retry
3w ; expiry
3h ; nx = nxdomain ttl
)
IN NS ns1.example.com.
IN NS ns2.example.com.
IN NS cdnxxxx0.ccsrm.in.
IN NS cdnxxxx1.ccsrm.in.
IN NS rdndlxx0.ccsrm.in.
IN NS rdnhrxx0.ccsrm.in.
IN NS rdnkaxx0.ccsrm.in.
IN NS rdncaxx0.ccsrm.in.
IN NS rdnmbxx0.ccsrm.in.
IN NS rdnrjxx0.ccsrm.in.
IN NS rdntnxx0.ccsrm.in.
IN NS rdnmhxx0.ccsrm.in.
IN NS rdngjxx0.ccsrm.in.
IN NS rdnapxx0.ccsrm.in.
IN NS rdnkrxx0.ccsrm.in.
IN NS rdnpbxx0.ccsrm.in.
IN NS rdnuwxx0.ccsrm.in.
IN NS rdnuexx0.ccsrm.in.
IN NS rdnmpxx0.ccsrm.in.
IN NS rdncdxx0.ccsrm.in.
IN NS rdnhpxx0.ccsrm.in.
IN NS rdnbhxx0.ccsrm.in.
IN NS rdnosxx0.ccsrm.in.
IN NS rdnasxx0.ccsrm.in.
IN NS rdnnexx0.ccsrm.in.
IN NS rdnjkxx0.ccsrm.in.
84 IN PTR www.example.com.
2 IN PTR joe.example.com.
17 IN PTR bill.example.com.
10 IN PTR hrwbdlxx1.ccsrm.in.
11 IN PTR hrwbdlxx2.ccsrm.in.
12 IN PTR hrdbdlxx1.ccsrm.in.
13 IN PTR hrdbdlxx2.ccsrm.in.
31 IN PTR hrsmdlxx1.ccsrm.in.
32 IN PTR hrsmdlxx2.ccsrm.in.
EOF
chmod 640 "$TEST_ZONE_CONF"
chgrp named "$TEST_ZONE_CONF"
cat << EOF > "$RESOLV_CONF"
nameserver 127.0.0.1
EOF
}
rlJournalStart
rlPhaseStartSetup
rlAssertRpm "$PACKAGE"
# --system-dns leads to use of glibc which looks at /etc/nsswitch.conf, that is different in Fedoras, which caused failing of the test
if rlIsFedora; then
rlRun "sed -i 's/^hosts\: .*/hosts\: files dns myhostname/g' /etc/nsswitch.conf" 0 "edit config to allow login"
rlFileBackup "/etc/nsswitch.conf"
fi
rlServiceStop "named"
backup_files
configure_named
rlRun "ip address add ${TEST_IP}/${TEST_MASK} dev ${DEFAULT_IFACE}" 0 "Adding test ip."
rlRun "service named start"
rlPhaseEnd
rlPhaseStartTest
rlRun "nmap -O -T5 ${TEST_IP} > ${NMAP_OUTPUT_FILE}"
rlRun "grep 'Nmap scan report for' ${NMAP_OUTPUT_FILE} | grep '${TEST_DOMAIN}'"
rlRun "cat ${NMAP_OUTPUT_FILE}" 0 "Printing nmap output."
rlRun "nmap -O -T5 ${TEST_IP} --system-dns > ${NMAP_OUTPUT_FILE}"
rlRun "grep 'Nmap scan report for' ${NMAP_OUTPUT_FILE} | grep '${TEST_DOMAIN}'"
rlRun "cat ${NMAP_OUTPUT_FILE}" 0 "Printing nmap output."
rlPhaseEnd
rlPhaseStartCleanup
rlRun "service named stop"
rlRun "ip address del ${TEST_IP}/${TEST_MASK} dev ${DEFAULT_IFACE}" 0 "Deleting test ip."
rlFileRestore
rlServiceRestore "named"
rlRun "rm ${NMAP_OUTPUT_FILE} ${TEST_ZONE_CONF}" 0 "Removing tmp files and dirs."
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,27 +0,0 @@
summary: Test for BZ#1436402 (nc from nmap ncat crash if ipv6 disabled)
description: |
Bug summary: nc from nmap ncat crash if ipv6 disabled
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1436402
author: Jaroslav Aster <jaster@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- nmap-ncat
duration: 10m
enabled: true
tag:
- Tier3
tier: '3'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1436402
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0562516
extra-summary: /CoreOS/nmap/Regression/bz1436402-nc-from-nmap-ncat-crash-if-ipv6-disabled
extra-task: /CoreOS/nmap/Regression/bz1436402-nc-from-nmap-ncat-crash-if-ipv6-disabled
id: 5cf9a102-4e9f-4e17-9b31-7ba0ccd832bb

View file

@ -1,98 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz1436402-nc-from-nmap-ncat-crash-if-ipv6-disabled
# Description: Test for BZ#1436402 (nc from nmap ncat crash if ipv6 disabled)
# Author: Jaroslav Aster <jaster@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2017 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
NCAT_LOG="ncat.log"
set_boot_option()
{
grubby --update-kernel=ALL --args='ipv6.disable=1'
if [ "$(rlGetPrimaryArch)" = "s390x" ]; then
zipl
fi
}
del_boot_option()
{
grubby --update-kernel=ALL --remove-args='ipv6.disable'
if [ "$(rlGetPrimaryArch)" = "s390x" ]; then
zipl
fi
}
rlJournalStart
if [ "$REBOOTCOUNT" -eq 0 ]; then
rlPhaseStartSetup "Disabling ipv6 & rebooting"
rlAssertRpm "$PACKAGE"
set_boot_option
rlLog "Rebooting"
rhts-reboot
rlPhaseEnd
fi
if [ "$REBOOTCOUNT" -eq 1 ]; then
rlPhaseStartSetup "Checking if ipv6 disabled & creating TmpDir"
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlRun "ip -6 addr | grep 'inet6'" 1 "Checking if IPv6 is disabled"
rlPhaseEnd
rlPhaseStartTest
rlRun "ncat -6 localhost &> ${NCAT_LOG}" 0,1
if rlIsRHEL '<8'; then
rlAssertGrep 'Ncat: Invalid argument' ${NCAT_LOG}
else
rlAssertGrep 'Ncat: Address family not supported by protocol' ${NCAT_LOG}
fi
rlRun "grep 'Assertion .* failed.' ${NCAT_LOG}" 1
rlRun "cat ${NCAT_LOG}"
NCAT_LOG_OUTPUT=$(cat ${NCAT_LOG})
rlLog "$NCAT_LOG_OUTPUT"
rlPhaseEnd
rlPhaseStartCleanup "Cleaning up"
del_boot_option
rlLog "Rebooting"
rhts-reboot
rlPhaseEnd
fi
rlPhaseStartCleanup "Cheking if ipv6 was enabled again"
rlRun "ip -6 addr | grep 'inet6'" 0 "Checking if IPv6 is enabled again"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,25 +0,0 @@
summary: ncat does not work with --proxy
description: ''
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2140101
tag:
- Tier1
tier: '1'
adjust:
- enabled: false
when: distro <= rhel-6
continue: false
author: Martin Osvald <mosvald@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- openssh-clients
duration: 1h
extra-nitrate: TC#0614605
extra-summary: /CoreOS/nmap/Regression/bz2140101-ncat-does-not-work-with-proxy
extra-task: /CoreOS/nmap/Regression/bz2140101-ncat-does-not-work-with-proxy
id: c70263ef-4e27-473e-ba8c-a7044fc3caf1

View file

@ -1,68 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz2140101-ncat-does-not-work-with-proxy
# Description: ncat does not work with --proxy
# Author: Martin Osvald <mosvald@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2022 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
SSH_LOG="ssh.log"
NCAT_LOG="ncat.log"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlFileBackup --clean "/root/.ssh/"
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
HOSTNAME=$(/usr/bin/hostnamectl --transient 2>/dev/null) || \
HOSTNAME=$(/usr/bin/hostname 2>/dev/null) || \
HOSTNAME=$(/usr/bin/uname -n)
[ -z "$HOSTNAME" ] && rlFail "Cannot determine machine's hostname"
rlRun "ssh-keygen -a 1024 -t ed25519 -f /root/.ssh/id_ed25519_ncat-proxy-test -C ncat-proxy-test -N \"\"" 0 "Creating ssh keys"
rlRun "chmod 600 /root/.ssh/id_ed25519_ncat-proxy-test*" 0
rlRun "cat /root/.ssh/id_ed25519_ncat-proxy-test.pub >> /root/.ssh/authorized_keys" 0
rlRun "ssh -f -o StrictHostKeyChecking=no -o IdentitiesOnly=yes -i /root/.ssh/id_ed25519_ncat-proxy-test -D 1080 -NTv root@$HOSTNAME &> $SSH_LOG" 0 "Starting ssh"
rlLog "SSH LOG:"
SSH_LOG_OUTPUT=$(cat ${SSH_LOG})
rlLog "$SSH_LOG_OUTPUT"
ncat -i 5 --proxy 127.0.0.1:1080 --proxy-type socks5 -vv github.com 22 2>&1 &> $NCAT_LOG
NCAT_LOG_OUTPUT=$(cat ${NCAT_LOG})
rlLog "$NCAT_LOG_OUTPUT"
rlAssertGrep "Idle timeout expired" $NCAT_LOG
rlRun "killall ssh" 0 "Terminating ssh"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlFileRestore
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,27 +0,0 @@
summary: Test for BZ#2160434 ([Regression] Cannot ssh through ProxyCommand+nc)
description: |
Bug summary: [Regression] Cannot ssh through ProxyCommand+nc
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=2160434
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2160434
tag:
- Tier1
tier: '1'
adjust:
- enabled: false
when: distro < rhel-6
continue: false
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- squid
duration: 5m
extra-nitrate: TC#0614737
extra-summary: /CoreOS/nmap/Regression/bz2160434-Regression-Cannot-ssh-through-ProxyCommand-nc
extra-task: /CoreOS/nmap/Regression/bz2160434-Regression-Cannot-ssh-through-ProxyCommand-nc
id: c7eb297e-3876-4afd-8c45-41974f4fc88c

View file

@ -1,67 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz2160434-Regression-Cannot-ssh-through-ProxyCommand-nc
# Description: Test for BZ#2160434 ([Regression] Cannot ssh through ProxyCommand+nc)
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2023 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
LOG="ssh.log"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlRun "dnf install -y squid"
cat > /etc/squid/squid.conf << EOF
http_access allow all
http_port 3128
EOF
rlRun "systemctl start squid"
sleep 10
rlPhaseEnd
rlPhaseStartSetup
rlRun "ssh-keygen -a 1024 -t ed25519 -f /root/.ssh/id_ed25519_ncat-proxy-test -C ncat-proxy-test -N \"\"" 0 "Creating ssh keys"
rlRun "chmod 600 /root/.ssh/id_ed25519_ncat-proxy-test*" 0
rlRun "cat /root/.ssh/id_ed25519_ncat-proxy-test.pub >> /root/.ssh/authorized_keys" 0
rlPhaseEnd
rlPhaseStartTest
rlRun "ssh -o IdentitiesOnly=yes -i /root/.ssh/id_ed25519_ncat-proxy-test -o StrictHostKeyChecking=no -o ProxyCommand=\"nc --proxy localhost:3128 --proxy-type http %h %p\" root@localhost true &> $LOG" 0 "Trying to connect"
rlAssertNotGrep "Connection closed" $LOG
LOG_OUTPUT=$(cat ${LOG})
rlLog "$LOG_OUTPUT"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "systemctl stop squid"
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,30 +0,0 @@
summary: It takes options from manual pages and compares them with options from command
lines's help (-h, --help).
description: ''
author: Ales Marecek <amarecek@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- grep
- sed
- util-linux-ng
duration: 5m
enabled: true
tag:
- Tier1
tier: '1'
adjust:
- enabled: false
when: distro < rhel-6
continue: false
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=621045
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=743506
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1248053
extra-nitrate: TC#0137792
extra-summary: /CoreOS/nmap/Regression/bz621045-nmap-help-vs-man-options-test
extra-task: /CoreOS/nmap/Regression/bz621045-nmap-help-vs-man-options-test
id: b1232ca5-8e1b-4776-978b-cce933d54b7b

View file

@ -1,88 +0,0 @@
#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz621045-nmap-help-vs-man-options-test
# Description: It takes options from manual pages and compares them with options from command lines's help (-h, --help).
# Author: Ales Marecek <amarecek@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2011 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing
# to use, modify, copy, or redistribute it subject to the terms
# and conditions of the GNU General Public License version 2.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
WATCHED_OPTIONS='-sR -PR'
get_options_from_man_page()
{
man nmap | col -bx | grep -- "^[ ]\+-[-]\?[0-9A-Za-z]\+" | sed 's/^\s\+\(--\?[0-9A-Za-z\/-]\+\)[ \[<:=;,.)*]\+.*$/\1/' | sed 's/^ \+//' | sort | uniq
}
is_watched_option()
{
if echo "$WATCHED_OPTIONS" | grep -q -- "$1"; then
return 0
else
return 1
fi
}
is_in_nmap_help()
{
if nmap -h | grep -q -- "$1" && nmap --help | grep -q -- "$1"; then
return 0
else
return 1
fi
}
rlJournalStart
rlPhaseStartSetup
rlAssertRpm "$PACKAGE"
rlPhaseEnd
rlPhaseStartTest
for option in $(get_options_from_man_page); do
# RHEL >=7 workaround
# -sR option is an alias for -sV option in RHEL-7, so it is not present in nmap -h
# -PR is not part of nmap -h
if rlIsRHEL '>=7' || rlIsFedora || rlIsCentOS '>=7'; then
if [ "$option" = "-sR" ] || [ "$option" = "-PR" ] ; then
continue
fi
fi
if ! is_in_nmap_help "$option" && ! is_watched_option "$option"; then
rlLogInfo "Option: '${option}' is missing in the list of -h/--help part, but it's wanted."
else
rlRun "nmap -h | grep -- \"${option}\" && nmap --help | grep -q -- \"${option}\"" 0 "Testing option: '${option}'."
fi
done
rlPhaseEnd
rlPhaseStartCleanup
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,27 +0,0 @@
summary: Reproducer for bugzilla 826601 issue
description: |
Test if the --output option that does duplicate output to a provided file work
correctly in UDP mode.
author: Hubert Kario <hkario@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- iptables-services
duration: 5m
enabled: true
tag:
- Tier1
tier: '1'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=826601
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0269824
extra-summary: /CoreOS/nmap/Regression/bz826601-ncat-does-not-write-to-output-file-with-UDP
extra-task: /CoreOS/nmap/Regression/bz826601-ncat-does-not-write-to-output-file-with-UDP
id: 813668ee-53de-45f4-8aa8-df649cfed2be

View file

@ -1,67 +0,0 @@
#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz826601-ncat-does-not-write-to-output-file-with-UDP
# Description: Reproducer for bugzilla 826601 issue
# Author: Hubert Kario <hkario@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2013 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing
# to use, modify, copy, or redistribute it subject to the terms
# and conditions of the GNU General Public License version 2.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlRun "echo TEST > client.in" 0 "Create ncat input file"
rlServiceStop iptables
rlPhaseEnd
rlPhaseStartTest
# ncat doesn't tolerate /dev/null as input, provide it with blocking empty one
ncat --udp --output ncatudp.log --wait 4s --listen 127.0.0.1 6666 < <(sleep 30) > ncat.out &
server=$!
rlRun "kill -s 0 $server" 0 "Start ncat server in background"
(echo TEST; sleep 10) | ncat --udp --idle-timeout 5 127.0.0.1 6666 > client.out &
client=$!
rlRun "kill -s 0 $client" 0 "Start ncat client in background"
ps aux | grep -E "\<$client\>|\<$server\>"
rlLogInfo "Server running as PID $server, client running as PID $client"
sleep 8 # idle timeout + some extra time
rlRun "kill -s 9 $client" 1 "Client should be already dead"
rlRun "kill -s 9 $server" 0 "Kill the server"
cat ncatudp.log
rlRun "grep TEST ncatudp.log" 0 "Test if sent message is in log file"
rlRun "grep TEST ncat.out" 0 "Test if sent message is in out file"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlServiceRestore iptables
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,28 +0,0 @@
summary: Test for BZ#879275 (ncat does not call shutdown(2) on EOF)
description: |
Bug summary: ncat: does not call shutdown(2) on EOF
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=879275
author: David Spurek <dspurek@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- nmap-ncat
- expect
duration: 15m
enabled: true
tag:
- Tier3
tier: '3'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=879275
adjust:
- enabled: false
when: distro < rhel-7
continue: false
extra-nitrate: TC#0321449
extra-summary: /CoreOS/nmap/Regression/bz879275-ncat-does-not-call-shutdown-2-on-EOF
extra-task: /CoreOS/nmap/Regression/bz879275-ncat-does-not-call-shutdown-2-on-EOF
id: 3f3c8f3d-6015-46d6-9394-65c27e2454ff

View file

@ -1,187 +0,0 @@
#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/bz879275-ncat-does-not-call-shutdown-2-on-EOF
# Description: Test for BZ#879275 (ncat does not call shutdown(2) on EOF)
# Author: David Spurek <dspurek@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2013 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing
# to use, modify, copy, or redistribute it subject to the terms
# and conditions of the GNU General Public License version 2.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
PACKAGES="$PACKAGE nmap-ncat expect"
function test_nc_server_side ()
{
expect <<EOF
set timeout 15
spawn nc -l 1234
expect {
-re {test_eof} { puts "matched test_eof" }
timeout { exit 231 }
eof { exit 221 }
}
expect {
timeout { exit 232 }
eof { puts "eof reached";exit 0 }
}
# unexpected end
exit 1
EOF
}
function test_nc_send_eof_on_server ()
{
expect <<EOF
set timeout 15
# start nc with --send-only and --recv-only
# nmap-ncat doesn't terminates without this if eof is send
# to server side
# start listen on the port
spawn nc -l 1234 --send-only
set ID_SERVER \$spawn_id
sleep 1
# connect to the listening port
spawn nc $machine_hostname 1234 --recv-only
set ID_CLIENT \$spawn_id
# try send message on both sides
puts "sending test_eof"
send -i \$ID_SERVER "test_eof\r"
expect {
-i \$ID_CLIENT
-re {test_eof} { puts "\nmatched test_eof" }
timeout { exit 231 }
eof { exit 221 }
}
# send eof on server side
send -i \$ID_SERVER \x04
# eof should terminate nc (eof reached)
expect {
-i \$ID_CLIENT
timeout { exit 232 }
eof { puts "eof reached";exit 0 }
}
# unexpected end
exit 1
EOF
}
function test_nc_send_eof_both_sides ()
{
expect <<EOF
set timeout 15
# nmap-ncat doesn't terminates if eof is send
# to server side, socket is closed for sending,
# but it can still received
# if client sends eof too, then server terminates
# start listen on the port
spawn nc -l 1234
set ID_SERVER \$spawn_id
sleep 1
# connect to the listening port
spawn nc $machine_hostname 1234
set ID_CLIENT \$spawn_id
# try send message on both sides
puts "sending test_eof"
send -i \$ID_SERVER "test_eof\r"
expect {
-i \$ID_CLIENT
-re {test_eof} { puts "\nmatched test_eof" }
timeout { exit 231 }
eof { exit 221 }
}
# send eof on server side
send -i \$ID_SERVER \x04
# send eof on client side
send -i \$ID_CLIENT \x04
# eof on both sides should terminate nc (check on server side)
expect {
-i \$ID_SERVER
timeout { exit 232 }
eof { puts "eof reached";exit 0 }
}
# unexpected end
exit 1
EOF
}
machine_hostname=`hostname`
rlJournalStart
rlPhaseStartSetup
# Check reqiured packages.
for P in ${PACKAGES[@]}; do rlCheckRpm $P || rlDie "Package $P is missing"; done
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest "Test send EOF on the connect side (client)"
# start listen on the port and wait for eof
# if eof is not accepted, then expect script timeouts
rlLog "Start listening with nc on port 1234"
test_nc_server_side > expect.out &
# wait for a moment when nc binds and it is ready for listening
sleep 3
# connect to port where nc is listening and send message with EOF
rlLog "Connect to listening nc on port 1234"
cat <<'EOF' | nc $machine_hostname 1234
test_eof
EOF
# wait a moment on slower s390x machine
[[ "`uname -i`" = "s390x" ]] && sleep 4
cat expect.out
rlAssertGrep "matched test_eof" expect.out
rlAssertGrep "eof reached" expect.out
rlPhaseEnd
rlPhaseStartTest "Test send EOF on the listening side (server)"
rlRun "test_nc_send_eof_on_server" 0
rlRun "test_nc_send_eof_both_sides" 0
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,28 +0,0 @@
summary: 'Testing: netcat (nc) listener fails with "Bad file descriptor" after a connection
is made'
description: |
Bug summary: netcat (nc) listener fails with "Bad file descriptor" after a connection is made
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1899824
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- grubby
duration: 15m
enabled: true
tag:
- Tier2
tier: '2'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1899824
adjust:
- enabled: false
when: distro ~< rhel-8.7
continue: false
extra-nitrate: TC#0613194
extra-summary: /CoreOS/nmap/Regression/ncat-listener-fails-with-Bad-file-descriptor
extra-task: /CoreOS/nmap/Regression/ncat-listener-fails-with-Bad-file-descriptor
id: 0a26dc3f-9994-4b54-a3dd-f74f13c72d3c

View file

@ -1,82 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/ncat-listener-fails-with-Bad-file-descriptor
# Description: Testing: netcat (nc) listener fails with "Bad file descriptor" after a connection is made
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2022 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
if [ "$REBOOTCOUNT" -eq 0 ]; then
rlPhaseStartSetup "Disabling ipv6 & rebooting"
rlAssertRpm $PACKAGE
rlRun "grubby --update-kernel=ALL --args='ipv6.disable=1'" 0 "Disabling ipv6"
if [ "$(rlGetPrimaryArch)" = "s390x" ]; then
rlRun "zipl" 0 "Running zipl to update boot menu - s390 specific"
fi
rlLog "Rebooting"
rhts-reboot
rlPhaseEnd
fi
if [ "$REBOOTCOUNT" -eq 1 ]; then
rlPhaseStartSetup "Checking if ipv6 disabled & creating TmpDir"
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlRun "ip -6 addr | grep 'inet6'" 1 "Checking if IPv6 is disabled"
rlPhaseEnd
rlPhaseStartTest
rlRun "nc -l 12345 -v &> server.log &" 0 "Server listening"
SERVER_PID=$!
sleep 5
rlRun "nc localhost 12345 -v &> client.log &" 0 "Client sending"
CLIENT_PID=$!
sleep 5
rlRun "grep 'close: Bad file descriptor' server.log" 1 "Testing if listener failed with Bad file descriptor"
rlPhaseEnd
rlPhaseStartCleanup "Cleaning up"
rlRun "kill -9 $SERVER_PID &> killing.log" 0-1 "Cleaning - Ensuring that server part is terminated"
rlRun "kill -9 $CLIENT_PID &> killing.log" 0-1 "Cleaning - Ensuring that client part is terminated"
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlRun "grubby --update-kernel=ALL --remove-args='ipv6.disable'" 0 "Re-enabling ipv6 again"
if [ "$(rlGetPrimaryArch)" = "s390x" ]; then
rlRun "zipl" 0 "Running zipl to update boot menu - s390 specific"
fi
rlLog "Rebooting"
rhts-reboot
rlPhaseEnd
fi
rlPhaseStartCleanup "Cheking if ipv6 was enabled again"
rlRun "ip -6 addr | grep 'inet6'" 0 "Checking if IPv6 is enabled again"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,26 +0,0 @@
summary: Test for BZ#1957178 (ncat segfaults with -U (Use Unix domain sockets)
description: |
Bug summary: ncat segfaults with -U (Use Unix domain sockets only)
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1957178
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
duration: 15m
enabled: true
tag:
- Tier3
tier: '3'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1957178
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0610427
extra-summary: /CoreOS/nmap/Regression/ncat-segfaults-with-U-Use-Unix-domain-sockets
extra-task: /CoreOS/nmap/Regression/ncat-segfaults-with-U-Use-Unix-domain-sockets
id: 02207f40-f821-49e6-bf7c-629906313ed8

View file

@ -1,51 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/ncat-segfaults-with-U-Use-Unix-domain-sockets
# Description: Test for BZ#1957178 (ncat segfaults with -U (Use Unix domain sockets)
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2021 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
nc -l -U /tmp/foo.sock &
sleep 2
nc -U /tmp/foo.sock &
sleep 5
rlPhaseEnd
rlPhaseStartTest
rlRun "grep \"kernel: nc\" /var/log/messages | grep \"segfault\"" 1 "Checking if Segmentation fault not occured"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "pkill nc" 0-1 "Killing nc proccesses used in test"
rlRun "rm -f /tmp/foo.sock" 0 "Removing socket"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,25 +0,0 @@
summary: Test for BZ#1591959 (Please include)
description: |
Bug summary: Please include https://github.com/nmap/nmap/commit/ec38cb0096648e916660958ac48c121e303debf1
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1591959
author: Robin Hack <rhack@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- nmap-ncat
duration: 20m
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1591959
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2120294
adjust:
- enabled: false
when: distro < rhel-7
continue: false
extra-nitrate: TC#0599550
extra-summary: /CoreOS/nmap/Regression/wrong-connect-format
extra-task: /CoreOS/nmap/Regression/wrong-connect-format
id: 578e85ed-3559-41f7-ba00-e4831f352f04

View file

@ -1,71 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Regression/wrong-connect-format
# Description: Test for BZ#1591959 (Please include)
# Author: Robin Hack <rhack@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2019 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
rlRun "coproc ncat { ncat -l 8080; }"
rlRun "ncat_listener_proc=\$!"
rlRun "ncat --proxy-type http --proxy localhost:8080 2611:1a:e10:: &"
rlRun "ncat_proc=\$!"
read -ru ${ncat[0]} xx
x=$(echo -n $xx | tr -d "\n\r")
#watch for newlines...
echo -n "$x" | hexdump
if [[ "$x" == 'CONNECT [2611:1a:e10::]:31337] HTTP/1.0' ]]; then
rlFail "WRONG: CONNECT [2611:1a:e10::]:31337] HTTP/1.0"
elif [[ "$x" == 'CONNECT [2611:1a:e10::]:31337 HTTP/1.0' ]]; then
rlPass "CONNECT [2611:1a:e10::]:31337 HTTP/1.0"
else
rlFail "SHOULD NEVER HAPPEN!"
fi
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
kill ${ncat_listener_proc}
kill ${ncat_proc}
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,28 +0,0 @@
summary: Testing support of TLS v1.3
description: |
Bug summary: Rebase nmap for TLS v1.3 support
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=2180330
enabled: true
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2180330
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=2169766
tag:
- Tier1
tier: '1'
adjust:
- enabled: false
when: distro < rhel-8
continue: false
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- openssl
duration: 5m
extra-nitrate: TC#0615124
extra-summary: /CoreOS/nmap/Sanity/TLS-v1-3-support
extra-task: /CoreOS/nmap/Sanity/TLS-v1-3-support
id: 4506d349-17b3-47c9-99d2-9a146640ddd6

View file

@ -1,59 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Sanity/TLS-v1-3-support
# Description: Testing support of TLS v1.3
# Author: František Hrdina <fhrdina@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2023 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
PORT=49152
NMAP_LOG="nmap.log"
SERVER_LOG="server.log"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlRun "openssl req -x509 -newkey rsa:2048 -keyout key.pem -out cert.pem -days 365 -nodes -subj \"/C=CZ/ST=CZ/L=Brno/O=Home/CN=test.com\""
rlPhaseEnd
rlPhaseStartTest
rlLog "Running server"
openssl s_server -key key.pem -cert cert.pem -accept $PORT -tls1_3 -4 -debug -WWW &> $SERVER_LOG &
SERVER_PID=$!
rlRun "nmap -p $PORT --script ssl-enum-ciphers 127.0.0.1 &> $NMAP_LOG"
rlAssertGrep "$PORT/tcp open" $NMAP_LOG
rlAssertGrep "TLSv1.3" $NMAP_LOG
rlPhaseEnd
rlPhaseStartCleanup
rlRun "kill $SERVER_PID" 0 "Killing server"
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,27 +0,0 @@
summary: Test for BZ#1379008 (netcat does not support -z option in Red Hat)
description: |
Bug summary: netcat does not support -z option in Red Hat Enterprise Linux 7
Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1379008
author: Jaroslav Aster <jaster@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- nmap-ncat
duration: 10m
enabled: true
tag:
- Tier2
tier: '2'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1379008
adjust:
- enabled: false
when: distro < rhel-7
continue: false
extra-nitrate: TC#0562520
extra-summary: /CoreOS/nmap/Sanity/bz1379008-netcat-does-not-support-z-option-in-Red-Hat
extra-task: /CoreOS/nmap/Sanity/bz1379008-netcat-does-not-support-z-option-in-Red-Hat
id: e7611d53-4043-4d30-8fca-0be0c22a5d74

View file

@ -1,57 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Sanity/bz1379008-netcat-does-not-support-z-option-in-Red-Hat
# Description: Test for BZ#1379008 (netcat does not support -z option in Red Hat)
# Author: Jaroslav Aster <jaster@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2017 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
LOG_FILE="$(mktemp)"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm "$PACKAGE"
rlPhaseEnd
rlPhaseStartTest
rlRun "ncat --help | grep -- '-z'"
rlRun "man ncat | grep -- '-z'"
rlRun "ncat -4 -v -z localhost 22 &> ${LOG_FILE}"
rlRun "grep 'invalid option' ${LOG_FILE}" 1
rlRun "ncat -6 -v -z localhost 22 &> ${LOG_FILE}"
rlRun "grep 'invalid option' ${LOG_FILE}" 1
rlPhaseEnd
rlPhaseStartCleanup
rlRun "rm ${LOG_FILE}" 0 "Removing tmp files and dirs."
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,13 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -4 --sctp localhost 6666
expect {
eof { exit 2 }
default { exit 1 }
"ServerSend\r" { sleep 1; send -- "ClientSend\r" }
}
sleep 1
exit 0

View file

@ -1,32 +0,0 @@
summary: Test all supported protocols of ncat, like tcp, udp, ...
description: |
sanity test for nmap listening on TCP, SCTP, UDP
author: Patrik Kis <pkis@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- tcpdump
- expect
- kernel-modules-extra
- kernel-modules
- kmod
duration: 5m
enabled: true
tag:
- Tier1
tier: '1'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1014681
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=905484
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1114137
adjust:
- enabled: false
when: distro < rhel-6
continue: false
extra-nitrate: TC#0172194
extra-summary: /CoreOS/nmap/Sanity/ncat-protocol-sanity-test
extra-task: /CoreOS/nmap/Sanity/ncat-protocol-sanity-test
id: 308d1071-c738-49ad-bf11-aeb60db1ef5b

View file

@ -1,176 +0,0 @@
#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Sanity/ncat-protocol-sanity-test
# Description: Test all supported protocols of ncat, like tcp, udp, ...
# Author: Patrik Kis <pkis@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing
# to use, modify, copy, or redistribute it subject to the terms
# and conditions of the GNU General Public License version 2.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh
PACKAGE="nmap"
rlJournalStart
########## SETUP PHASE ##########
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlIsRHEL 4 5 && rlRun "chcon -t tmpfs_t $TmpDir" 0 \
"Changing SELinux context to allow nmap to write to $TmpDir"
rlRun "cp *exp $TmpDir" 0 "Copying expect scripts to working directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest "Checking prereqs (SCTP)"
# kernel-modules shoud be same version as running version of kernel
# because modprobe is looking for kernel-modules according to running kernel version
# different versions were causing Fedora CI failure on Fedora-Rawhide image
if rlIsRHEL '>=8' || rlIsCentOS '>=8' || rlIsFedora; then
rlRun "dnf install kernel-modules-$(uname -r) -y"
fi
if rlIsRHEL '>=8' || rlIsCentOS '>=8'; then
rlRun "dnf install kernel-modules-extra-$(uname -r) -y"
fi
rlRun "depmod" 0 "Updating modules dependencies"
rlRun "cat /sys/module/ipv6/parameters/disable | grep 0" 0 "Checking if ipv6 is enabled"
rlPhaseEnd
##################### TEST PHASE - TCP ####################
rlPhaseStartTest "ncat acts as tcp server (Listen mode)"
rlRun "tcpdump -pnnli lo port 6666 > tcpdump-tcp.out &" 0 "Run tcpdump"
TCPDUMPPID=$!; echo TCPDUMPPID=$TCPDUMPPID; sleep 3
rlRun "./tcpsrv.exp > ncat-SERVER-tcp.out &"
NCATPID=$!; echo NCATPID=$NCATPID; sleep 3
rlRun "rlWaitForSocket -p $NCATPID 6666 -d 0.5"
rlRun "./tcpclt.exp > ncat-CLIENT-tcp.out"; sleep 3
rlRun "kill -9 $NCATPID" 0,1 "Making sure the ncat is dead"
rlRun "kill -9 $TCPDUMPPID" 0,1 "Making sure the tcpdump is dead"
cat tcpdump-tcp.out
rlAssertGrep "127.0.0.1.6666.*\[S" tcpdump-tcp.out
rlAssertGrep "127.0.0.1.6666.*\[P" tcpdump-tcp.out
rlAssertGrep "127.0.0.1.6666.*\[F" tcpdump-tcp.out
rlAssertEquals "Vefify that there were two PUSH packet sent" \
2 `grep "127.0.0.1.6666.*\[P" tcpdump-tcp.out |wc -l`
cat ncat-SERVER-tcp.out; rlAssertGrep "ClientSend" ncat-SERVER-tcp.out
cat ncat-CLIENT-tcp.out; rlAssertGrep "ServerSend" ncat-CLIENT-tcp.out
rlPhaseEnd
##################### TEST PHASE - UDP ####################
rlPhaseStartTest "ncat acts as UDP server (Listen mode)"
rlRun "tcpdump -pnnli lo port 6666 > tcpdump-udp.out &" 0 "Run tcpdump"
TCPDUMPPID=$!; echo TCPDUMPPID=$TCPDUMPPID; sleep 3
rlRun "./udpsrv.exp >ncat-SERVER-udp.out &"
NCATPID=$!; echo NCATPID=$NCATPID; sleep 3
rlRun "./udpclt.exp >ncat-CLIENT-udp.out &"
NCATCLNTPID=$!; echo NCATPID=$NCATCLNTPID; sleep 3
rlRun "kill -9 $NCATPID $NCATCLNTPID" 0,1 "Making sure the ncat is dead"
rlRun "kill -9 $TCPDUMPPID" 0,1 "Making sure the tcpdump is dead"
cat tcpdump-udp.out
rlAssertGrep "127.0.0.1.*>.*127.0.0.1.6666.*UDP" tcpdump-udp.out
rlAssertGrep "127.0.0.1.6666.*>.*127.0.0.1..*UDP" tcpdump-udp.out
rlAssertEquals "Vefify that there were two UDP packet sent" \
2 `wc -l tcpdump-udp.out`
cat ncat-SERVER-udp.out; rlAssertGrep "ClientSend" ncat-SERVER-udp.out
cat ncat-CLIENT-udp.out; rlAssertGrep "ServerSend" ncat-CLIENT-udp.out
rlPhaseEnd
##################### TEST PHASE - SCTP ####################
rlPhaseStartTest "ncat acts as SCTP server (Listen mode)" {
rlIsRHEL ">=8" || rlIsCentOS ">=8" || rlIsFedora && {
rlAssertRpm "kmod"
rlAssertRpm "kernel-modules-extra"
rlRun "modinfo sctp"
#load 'sctp' module if not already loaded
lsmod | grep ^sctp || {
rlRun "modprobe sctp "
rlRun "lsmod|grep ^sctp"
}
lsmod | grep ^sctp_diag || {
rlRun "modprobe sctp_diag"
rlRun "lsmod|grep ^sctp_diag"
}
}
# SCTP doesn't support half-open connections so it has to be tested with expect
# otherwise the parties initiated connection closes immediately after all input read
rlRun "tcpdump -pnnli lo port 6666 > tcpdump-sctp.out &" 0 "Run tcpdump"
TCPDUMPPID=$!; echo TCPDUMPPID=$TCPDUMPPID; sleep 3
rlRun "./srv.exp > ncat-SERVER-sctp.out &"
NCATPID=$!; echo NCATPID=$NCATPID
# TODO: fix beakerlib
# rlWaitForSocket() doesn't support sctp, the internally executed ss command:
# ss -nl -tu | tail -n+2 | awk '{print $5}' | grep -E \:6666$ >/dev/null
# doesn't include '-S' option so it doesn't print the listening sctp port 6666
# man ss (this option is missing on RHEL6):
# -S, --sctp
# Display SCTP sockets.
# # ss -nl -S | grep 6666
# LISTEN 0 10 0.0.0.0:6666 0.0.0.0:*
# LISTEN 0 10 [::]:6666 [::]:*
# #
# SCTP is not supported by netstat and ss in RHEL-6
#rlIsRHEL '<7.0' && sleep 2 || rlRun "rlWaitForSocket -p $NCATPID 6666 -d 0.5"
sleep 2
if rlIsRHEL '>6' || rlIsFedora || rlIsCentOS '>6'; then
rlRun "ss -nl -S | grep 6666 >/dev/null"
fi
rlRun "./clt.exp > ncat-CLIENT-sctp.out"; sleep 3
rlRun "kill -9 $NCATPID" 0,1 "Making sure the ncat is dead"
rlRun "kill -9 $TCPDUMPPID" 0,1 "Making sure the tcpdump is dead"
cat tcpdump-sctp.out
rlAssertGrep "127.0.0.1.6666.*sctp.*\[INIT" tcpdump-sctp.out
rlAssertGrep "127.0.0.1.6666.*sctp.*\[COOKIE" tcpdump-sctp.out
rlAssertGrep "127.0.0.1.6666.*sctp.*\[SHUTDOWN" tcpdump-sctp.out
rlAssertEquals "Vefify that there were two DATA sctp packet sent" \
2 `grep "127.0.0.1.6666.*sctp.*\[DATA\]" tcpdump-sctp.out |wc -l`
cat ncat-SERVER-sctp.out; rlAssertGrep "ClientSend" ncat-SERVER-sctp.out
cat ncat-CLIENT-sctp.out; rlAssertGrep "ServerSend" ncat-CLIENT-sctp.out
rlPhaseEnd
########## CLEANUP PHASE ##########
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,22 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -vl --sctp 6666
expect {
eof { exit 2 }
default { exit 1 }
"Ncat: Connection from 127.0.0.1" { sleep 1; send -- "ServerSend\r" }
}
expect {
eof { exit 2 }
default { exit 1 }
"ClientSend\r"
}
expect {
eof { exit 0 }
default { exit 1 }
}
exit 3

View file

@ -1,13 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -4 localhost 6666
expect {
eof { exit 2 }
default { exit 1 }
"ServerSend\r" { sleep 1; send -- "ClientSend\r" }
}
sleep 1
exit 0

View file

@ -1,22 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -vl 6666
expect {
eof { exit 2 }
default { exit 1 }
"Ncat: Connection from 127.0.0.1" { sleep 1; send -- "ServerSend\r" }
}
expect {
eof { exit 2 }
default { exit 1 }
"ClientSend\r"
}
expect {
eof { exit 0 }
default { exit 1 }
}
exit 3

View file

@ -1,14 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -4 --udp localhost 6666
send -- "ClientSend\r"
expect {
eof { exit 2 }
default { exit 1 }
"ServerSend\r"
}
sleep 1
exit 0

View file

@ -1,13 +0,0 @@
#!/usr/bin/expect
set timeout 10
spawn ncat -vl --udp 6666
expect {
eof { exit 2 }
default { exit 1 }
"ClientSend\r" { send -- "ServerSend\r" }
}
sleep 1
exit 0

View file

@ -1,22 +0,0 @@
summary: Basic ncat functional test
description: ''
enabled: true
tag:
- Tier1
tier: '1'
adjust:
- enabled: false
when: distro < rhel-6
continue: false
author: Stanislav Zidek <szidek@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
duration: 10m
extra-nitrate: TC#0608152
extra-summary: /CoreOS/nmap/Sanity/ncat-smoke-test
extra-task: /CoreOS/nmap/Sanity/ncat-smoke-test
id: 133cef43-b4d9-4f54-a30f-e7f804453c49

View file

@ -1,60 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Sanity/ncat-smoke-test
# Description: Basic ncat functional test
# Author: Stanislav Zidek <szidek@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2020 Red Hat, Inc.
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
rlRun "ncat -vl 6666 &>srv.log &"
srv_pid=$!
rlRun "rlWaitForSocket -t 5 6666"
rlRun "echo CONNECTED |ncat --send-only localhost 6666"
rlRun "rlWaitForSocket --close -t 5 6666"
rlRun "ps --no-headers -fp $srv_pid" 1 "Server finished"
rc=$?
if [[ $rc -ne 1 ]]; then
rlRun "kill -9 $srv_pid"
fi
rlAssertGrep "CONNECTED" srv.log
rlGetPhaseState || rlRun "cat srv.log"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,22 +0,0 @@
summary: Simple functionality test, local port scanning.
description: |
sanity testing local port scanning
author: Karel Srot <ksrot@redhat.com>
component:
- nmap
test: ./runtest.sh
framework: beakerlib
recommend:
- nmap
- lsof
duration: 20m
enabled: true
tag:
- Tier1
tier: '1'
link:
- relates: https://bugzilla.redhat.com/show_bug.cgi?id=662962
extra-nitrate: TC#0059829
extra-summary: /CoreOS/nmap/Sanity/simple-functionality-test
extra-task: /CoreOS/nmap/Sanity/simple-functionality-test
id: 4aedac15-e1e0-4064-be46-266dd40c5f29

View file

@ -1,65 +0,0 @@
#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# runtest.sh of /CoreOS/nmap/Sanity/simple-functionality-test
# Description: Simple functionality test, local port scanning.
# Author: Karel Srot <ksrot@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Copyright (c) 2010 Red Hat, Inc. All rights reserved.
#
# This copyrighted material is made available to anyone wishing
# to use, modify, copy, or redistribute it subject to the terms
# and conditions of the GNU General Public License version 2.
#
# This program is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh
PACKAGE="nmap"
rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TmpDir=\`mktemp -d\`" 0 "Creating tmp directory"
rlIsRHEL 4 5 && rlRun "chcon -t tmpfs_t $TmpDir" 0 "Changing SELinux context to allow nmap to write to $TmpDir"
rlRun "pushd $TmpDir"
rlPhaseEnd
rlPhaseStartTest
rlRun "nmap localhost -p- 2>&1 > myscan.nmap" 0 "Perform nmap scan"
rlAssertExists "myscan.nmap"
rlRun "lsof -i4 -P | grep '(LISTEN)' > lsof.out" 0 "Checking open ports with lsof -i4"
grep -q ':22 (LISTEN)' lsof.out &&
rlRun "egrep '22/tcp\\W+open\\W+ssh' myscan.nmap" 0 "Checking if ssh has been found"
grep -q ':25 (LISTEN)' lsof.out &&
rlRun "egrep '25/tcp\\W+open\\W+smtp' myscan.nmap" 0 "Checking if smtp daemon has been found"
grep -q ':631 (LISTEN)' lsof.out &&
rlRun "egrep '631/tcp\\W+open\\W+ipp' myscan.nmap" 0 "Checking if cups/ipp has been found"
grep -q ':111 (LISTEN)' lsof.out &&
rlRun "egrep '111/tcp\\W+open\\W+rpcbind' myscan.nmap" 0 "Checking if portmap/rpcbind has been found"
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View file

@ -1,30 +0,0 @@
summary: ssl-enum-ciphers ems extension support
description: ''
author: Frantisek Hrdina <fhrdina@redhat.com>
component:
- nmap
test: ./test.sh
framework: beakerlib
recommend:
- nmap
- stunnel
- openssl
- python3
duration: 5m
enabled: true
tag:
- Tier1
tier: '1'
restart-with-reboot: true
link:
- verifies: https://issues.redhat.com/browse/RHEL-14227
- verifies: https://issues.redhat.com/browse/RHEL-46781
adjust:
- enabled: false
when: distro < rhel-9
continue: false
- enabled: false
when: distro < centos-stream-9
continue: false
extra-nitrate: TC#0617626
id: aed1b4bc-0a3b-41a0-9df1-9037dd12d3eb

View file

@ -1,73 +0,0 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
. /usr/share/beakerlib/beakerlib.sh || exit 1
CA_CERT="ca.crt"
CA_KEY="ca.key"
SERVER_CERT="server.crt"
SERVER_KEY="server.key"
STUNNEL_CONF="stunnel.conf"
HOST="127.0.0.1"
PORT="12345"
rlJournalStart
if [ "$REBOOTCOUNT" -eq 0 ]; then
rlPhaseStartSetup "Enable fips"
rlRun "fips-mode-setup --enable" 0 "Enable fips"
rlLog "Rebooting"
tmt-reboot
rlPhaseEnd
fi
if [ "$REBOOTCOUNT" -eq 1 ]; then
rlPhaseStartSetup
rlAssertRpm nmap
rlCheckDependencies
rlRun "tmp=\$(mktemp -d)" 0 "Create tmp directory"
rlRun "pushd $tmp"
rlLog "Generate certs"
rlRun "openssl req -new -x509 -days 365 -nodes -out $CA_CERT -keyout $CA_KEY -subj \"/CN=My CA\""
rlRun "openssl genrsa -out $SERVER_KEY 2048"
rlRun "openssl req -new -key $SERVER_KEY -out server.csr -subj \"/CN=$HOST\""
rlRun "openssl x509 -req -days 365 -in server.csr -CA $CA_CERT -CAkey $CA_KEY -CAcreateserial -out $SERVER_CERT"
cat > $STUNNEL_CONF <<EOL
cert = $SERVER_CERT
key = $SERVER_KEY
CAfile = $CA_CERT
[myserver]
accept = $PORT
connect = 127.0.0.1:80
EOL
rlPhaseEnd
rlPhaseStartTest
python3 -m http.server 80 &> server.log &
SERVER_PID=$!
stunnel $STUNNEL_CONF &> stunnel.log &
STUNNEL_PID=$!
rlRun "nmap --script ssl-enum-ciphers.nse -p $PORT $HOST &> nmap.log"
rlAssertGrep "TLSv1.3" nmap.log
rlAssertGrep "TLSv1.2" nmap.log
rlPhaseEnd
rlPhaseStartCleanup
rlRun "kill $SERVER_PID" 0,1 "Killing server"
rlRun "kill $STUNNEL_PID" 0,1 "Killing stunnel"
rlRun "popd"
rlRun "rm -r $tmp" 0 "Remove tmp directory"
rlPhaseEnd
rlPhaseStartCleanup "Disable fips"
rlRun "fips-mode-setup --disable" 0 "Disable fips"
rlLog "Rebooting"
tmt-reboot
rlPhaseEnd
fi
rlJournalEnd

View file

@ -1,5 +0,0 @@
# QE owner
contact: Frantisek Hrdina <fhrdina@redhat.com>
component: nmap
check:
- how: avc

View file

@ -1,5 +0,0 @@
summary: Run all tests
discover:
how: fmf
execute:
how: tmt

View file

@ -1,20 +0,0 @@
/public:
summary: Public other tests
discover:
how: fmf
filter: 'tier: -1 & tier: -2 & tier: -3 & tag: -multihost'
url: "https://src.fedoraproject.org/tests/nmap.git"
execute:
how: tmt
/internal:
summary: Internal other tests
discover:
how: fmf
filter: 'tier: -1 & tier: -2 & tier: -3 & tag: -multihost'
url: https://gitlab.com/redhat/rhel/tests/nmap
adjust:
enabled: false
when: distro == centos-stream or distro == fedora
execute:
how: tmt

View file

@ -1,20 +0,0 @@
/public:
summary: Public Tier1 tests
discover:
how: fmf
filter: 'tier: 1'
url: "https://src.fedoraproject.org/tests/nmap.git"
execute:
how: tmt
/internal:
summary: Internal Tier1 tests
discover:
how: fmf
filter: 'tier: 1'
url: https://gitlab.com/redhat/rhel/tests/nmap
adjust:
enabled: false
when: distro == centos-stream or distro == fedora
execute:
how: tmt

View file

@ -1,20 +0,0 @@
/public:
summary: Public Tier2 and Tier3 tests
discover:
how: fmf
filter: 'tier: 2 | tier: 3'
url: "https://src.fedoraproject.org/tests/nmap.git"
execute:
how: tmt
/internal:
summary: Internal Tier2 and Tier3 tests
discover:
how: fmf
filter: 'tier: 2 | tier: 3'
url: https://gitlab.com/redhat/rhel/tests/nmap
adjust:
enabled: false
when: distro == centos-stream or distro == fedora
execute:
how: tmt